> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Connection

> This endpoint takes attributes for a new Connection and a tenant_id and creates and returns a new Connection.

The allowed values for integration_name can be found under ProviderEnum.



## OpenAPI

````yaml openapi_2024-03-27 post /connection
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /connection:
    post:
      tags:
        - Connections
      summary: Create Connection
      description: >-
        This endpoint takes attributes for a new Connection and a tenant_id and
        creates and returns a new Connection.


        The allowed values for integration_name can be found under ProviderEnum.
      operationId: create_connection_connection_post
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectionInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionSuccessResponse'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    ConnectionInput:
      properties:
        integration_name:
          $ref: '#/components/schemas/ProviderEnum'
        credentials:
          additionalProperties: true
          type: object
          title: Credentials
        business_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Name
        abn:
          anyOf:
            - type: string
            - type: 'null'
          title: Abn
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        active:
          type: boolean
          title: Active
        collection_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Collection Start Time
        collection_end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Collection End Time
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
      type: object
      required:
        - integration_name
        - credentials
        - business_name
        - abn
        - email
        - active
      title: ConnectionInput
    ConnectionSuccessResponse:
      properties:
        data:
          $ref: '#/components/schemas/ConnectionNoCredentials'
      type: object
      required:
        - data
      title: ConnectionSuccessResponse
    ProviderEnum:
      type: string
      enum:
        - mtdata
        - geotab
        - navman
        - mixtelematics
        - radius
        - verizon_connect
        - volvo
        - fleetsu
        - digital_matter
        - netstar
        - netstar_v2
        - webfleet
        - scania
        - linxio
        - geoforce
        - michelin_connected_fleet
        - navixy
        - netcorp
        - mapon
      title: ProviderEnum
    ConnectionNoCredentials:
      properties:
        integration_name:
          $ref: '#/components/schemas/ProviderEnum'
        business_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Name
        abn:
          anyOf:
            - type: string
            - type: 'null'
          title: Abn
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        active:
          type: boolean
          title: Active
        id:
          type: string
          format: uuid4
          title: Id
        tenant_id:
          type: string
          format: uuid4
          title: Tenant Id
        collection_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Collection Start Time
        collection_end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Collection End Time
        configuration:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Configuration
        connection_tags:
          items:
            $ref: '#/components/schemas/TenantTag'
          type: array
          title: Connection Tags
          default: []
      type: object
      required:
        - integration_name
        - business_name
        - abn
        - email
        - active
        - id
        - tenant_id
        - collection_start_time
        - collection_end_time
        - configuration
      title: ConnectionNoCredentials
    TenantTag:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: TenantTag
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````